"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GlobalScrollSpyContext = void 0;
var react_1 = require("react");
/**
 * Context provides a way to pass DOM element activated and
 * Actions are used to control registered DOM elements
 * through the component tree without having to pass props down manually at every level.
 */
exports.GlobalScrollSpyContext = (0, react_1.createContext)({
    activeElement: null,
    actions: {
        registerElement: function (_) { },
        unregisterElement: function (_) { },
        resetElements: function () { },
    },
});
//# sourceMappingURL=GlobalScrollSpyContext.js.map