"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useGlobalScrollSpy = void 0;
var react_1 = require("react");
var GlobalScrollSpyContext_1 = require("./GlobalScrollSpyContext");
/**
 * @returns [ activeElement, actions ] - Two return values are returned as an array
 * @returns activeElement - DOM element activated based on scroll position (only one)
 * @returns actions - Actions are used to control registered DOM elements
 */
var useGlobalScrollSpy = function () {
    var _a = (0, react_1.useContext)(GlobalScrollSpyContext_1.GlobalScrollSpyContext), activeElement = _a.activeElement, actions = _a.actions;
    return [activeElement, actions];
};
exports.useGlobalScrollSpy = useGlobalScrollSpy;
//# sourceMappingURL=useGlobalScrollSpy.js.map