"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.throttle = void 0;
var throttle = function (fn, interval) {
    var lastInvokeTime = Date.now();
    var invokeFn = function (fn) {
        var time = Date.now();
        var timeSinceLastInvoke = time - lastInvokeTime;
        var shouldInvoke = timeSinceLastInvoke > interval;
        if (!shouldInvoke) {
            return;
        }
        fn();
        lastInvokeTime = time;
    };
    return function () { return invokeFn(fn); };
};
exports.throttle = throttle;
//# sourceMappingURL=throttle.js.map