/// <reference types="react" />
declare type ScrollSpyActionsForOne = {
    registerElement: (element: React.RefObject<Element>) => void;
    unregisterElement: () => void;
};
/**
 * @returns [ isActive, actions ] - Two return values are returned as an array
 * @returns isActive - Whether the DOM element specified by key is active
 * @returns actions - Actions are used to control registered DOM elements specified by key
 */
export declare const useGlobalScrollSpyOf: (key: string) => [boolean, ScrollSpyActionsForOne];
export {};
